CREATE TABLE `clan_bosses_list` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `name` varchar(255) NOT NULL,
    `boss_number` int(11) NOT NULL,
    `attack` int(11) NOT NULL,
    `defense` int(11) NOT NULL,
    `health` int(11) NOT NULL,
    `attack_time` int(11) NOT NULL,
    `image` text NOT NULL,
    `level` int(11) NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB CHARSET=utf8 AUTO_INCREMENT=1;

INSERT INTO `clan_bosses_list` (`id`,`name`,`boss_number`,`attack`,`defense`,`health`, `attack_time`) VALUES
(1,'Босс №1', 1, 100, 10, 1000, 1800),
(2,'Босс №2', 2, 200, 20, 10000, 3600),
(3,'Босс №3', 3, 300, 30, 100000, 7200);

CREATE TABLE `clan_bosses_keys` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `boss_id` int(11) NOT NULL,
    `clan_id` int(11) NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB CHARSET=utf8 AUTO_INCREMENT=1;

CREATE TABLE `clan_bosses_battles` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `boss_id` int(11) NOT NULL,
    `clan_id` int(11) NOT NULL,
    `health` int(11) NOT NULL,
    `status` enum('battle', 'end') NOT NULL DEFAULT 'battle',
    `time` int(11) NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB CHARSET=utf8 AUTO_INCREMENT=1;

CREATE TABLE `clan_bosses_players` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `battle_id` int(11) NOT NULL,
    `user_id` int(11) NOT NULL,
    `all_damage` int(11) NOT NULL,
    `result` int(11) NOT NULL DEFAULT '0',
    PRIMARY KEY (`id`)
) ENGINE=InnoDB CHARSET=utf8 AUTO_INCREMENT=1;